<?php
/**
 * @file
 * Node injector template.
 */

// Dialog box parameters.
$params = array(
  'Node ID' => array(
    'type' => 'textbox',
    'regex' => '/^[0-9]+$/',
    'field_name' => 'node_id',
    'weight' => 1,
  ),
  'Width (px)' => array(
    'type' => 'textbox',
    'regex' => '/^[0-9]+$/',
    'field_name' => 'width',
    'weight' => 2,
  ),
  'Height (px)' => array(
    'type' => 'textbox',
    'regex' => '/^[0-9]+$/',
    'field_name' => 'height',
    'weight' => 3,
  ),
);

if (!empty($parameter_values)) {
  $styles = '';
  if (!empty($parameter_values['width'])) {
    $styles .= 'width:' . (int) $parameter_values['width'] . 'px;';
  }
  if (!empty($parameter_values['height'])) {
    $styles .= 'height:' . (int) $parameter_values['height'] . 'px;';
  }
  $node = node_load($parameter_values['node_id']); ?>
  <div style="<?php print $styles; ?>">
    <h2><?php print $node->title; ?></h2>
    <?php print $node->body; ?>
  </div>
  <?php
}
